Package org.apache.storm.utils

# Class ListDelegate

java.lang.Object
org.apache.storm.utils.ListDelegate

All Implemented Interfaces:
  `Iterable<Object>`, `Collection<Object>`, `List<Object>`

public class ListDelegate extends Object implements List<Object>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListDelegate()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(int i, Object e)`
  `boolean`
  `add(Object e)`
  `boolean`
  `addAll(int i, Collection<?> clctn)`
  `boolean`
  `addAll(Collection<?> clctn)`
  `void`
  `clear()`
  `boolean`
  `contains(Object o)`
  `boolean`
  `containsAll(Collection<?> clctn)`
  `Object`
  `get(int i)`
  `List<Object>`
  `getDelegate()`
  `int`
  `indexOf(Object o)`
  `boolean`
  `isEmpty()`
  `Iterator<Object>`
  `iterator()`
  `int`
  `lastIndexOf(Object o)`
  `ListIterator<Object>`
  `listIterator()`
  `ListIterator<Object>`
  `listIterator(int i)`
  `Object`
  `remove(int i)`
  `boolean`
  `remove(Object o)`
  `boolean`
  `removeAll(Collection<?> clctn)`
  `boolean`
  `retainAll(Collection<?> clctn)`
  `Object`
  `set(int i, Object e)`
  `void`
  `setDelegate(List<Object> delegate)`
  `int`
  `size()`
  `List<Object>`
  `subList(int i, int i1)`
  `Object[]`
  `toArray()`
  `<T> T[]`
  `toArray(T[] ts)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `equals, hashCode, replaceAll, sort, spliterator`

- ## Constructor Details

  - ### ListDelegate

    public ListDelegate()

- ## Method Details

  - ### getDelegate

    public List<Object> getDelegate()

  - ### setDelegate

    public void setDelegate(List<Object> delegate)

  - ### size

    public int size()
    Specified by:
      `size` in interface `Collection<Object>`
    Specified by:
      `size` in interface `List<Object>`

  - ### isEmpty

    public boolean isEmpty()
    Specified by:
      `isEmpty` in interface `Collection<Object>`
    Specified by:
      `isEmpty` in interface `List<Object>`

  - ### contains

    public boolean contains(Object o)
    Specified by:
      `contains` in interface `Collection<Object>`
    Specified by:
      `contains` in interface `List<Object>`

  - ### iterator

    public Iterator<Object> iterator()
    Specified by:
      `iterator` in interface `Collection<Object>`
    Specified by:
      `iterator` in interface `Iterable<Object>`
    Specified by:
      `iterator` in interface `List<Object>`

  - ### toArray

    public Object[] toArray()
    Specified by:
      `toArray` in interface `Collection<Object>`
    Specified by:
      `toArray` in interface `List<Object>`

  - ### toArray

    public <T> T[] toArray(T[] ts)
    Specified by:
      `toArray` in interface `Collection<Object>`
    Specified by:
      `toArray` in interface `List<Object>`

  - ### add

    public boolean add(Object e)
    Specified by:
      `add` in interface `Collection<Object>`
    Specified by:
      `add` in interface `List<Object>`

  - ### add

    public void add(int i, Object e)
    Specified by:
      `add` in interface `List<Object>`

  - ### remove

    public boolean remove(Object o)
    Specified by:
      `remove` in interface `Collection<Object>`
    Specified by:
      `remove` in interface `List<Object>`

  - ### remove

    public Object remove(int i)
    Specified by:
      `remove` in interface `List<Object>`

  - ### containsAll

    public boolean containsAll(Collection<?> clctn)
    Specified by:
      `containsAll` in interface `Collection<Object>`
    Specified by:
      `containsAll` in interface `List<Object>`

  - ### addAll

    public boolean addAll(Collection<?> clctn)
    Specified by:
      `addAll` in interface `Collection<Object>`
    Specified by:
      `addAll` in interface `List<Object>`

  - ### addAll

    public boolean addAll(int i, Collection<?> clctn)
    Specified by:
      `addAll` in interface `List<Object>`

  - ### removeAll

    public boolean removeAll(Collection<?> clctn)
    Specified by:
      `removeAll` in interface `Collection<Object>`
    Specified by:
      `removeAll` in interface `List<Object>`

  - ### retainAll

    public boolean retainAll(Collection<?> clctn)
    Specified by:
      `retainAll` in interface `Collection<Object>`
    Specified by:
      `retainAll` in interface `List<Object>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Collection<Object>`
    Specified by:
      `clear` in interface `List<Object>`

  - ### get

    public Object get(int i)
    Specified by:
      `get` in interface `List<Object>`

  - ### set

    public Object set(int i, Object e)
    Specified by:
      `set` in interface `List<Object>`

  - ### indexOf

    public int indexOf(Object o)
    Specified by:
      `indexOf` in interface `List<Object>`

  - ### lastIndexOf

    public int lastIndexOf(Object o)
    Specified by:
      `lastIndexOf` in interface `List<Object>`

  - ### listIterator

    public ListIterator<Object> listIterator()
    Specified by:
      `listIterator` in interface `List<Object>`

  - ### listIterator

    public ListIterator<Object> listIterator(int i)
    Specified by:
      `listIterator` in interface `List<Object>`

  - ### subList

    public List<Object> subList(int i, int i1)
    Specified by:
      `subList` in interface `List<Object>`